# Functor CamlinternalMenhirLib.InspectionTableInterpreter.Symbols

    module Symbols: functor (T : sig

    type 'a terminal

    type 'a nonterminal

    end) -> CamlinternalMenhirLib.IncrementalEngine.SYMBOLS
      with type 'a terminal := 'a T.terminal
       and type 'a nonterminal := 'a T.nonterminal

Parameters:

`T` | : | `sig type 'a terminal type 'a nonterminal end`

    type 'a terminal

    type 'a nonterminal

    type 'a symbol =

`|` | `T : `'a0 terminal` -> `'a0 symbol``
`|` | `N : `'a1 nonterminal` -> `'a1 symbol``

    type xsymbol =

`|` | `X : `'a symbol` -> `xsymbol``